package com.xhpc.user.domain;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * 运营商设置流量方黑名单 xhpc_operator_internet_blacklist
 *
 * @author ruoyi
 */
public class XhpcOperatorInternetBlacklist implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 运营商设置流量方黑名单id
     */
    private Long xhpcOperatorInternetBlacklistId;

    /**
     * 运营商id
     */
    @NotNull(message = "运营商id不能为空")
    private Long operatorId;

    /**
     * 流量用户id
     */
    @NotNull(message = "流量用户id不能为空")
    private Long internetUserId;

    /**
     * 状态（0正常 1停用）
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 备注
     */
    private String remark;

    public XhpcOperatorInternetBlacklist() {
    }

    public Long getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(Long operatorId) {
        this.operatorId = operatorId;
    }

    public Long getInternetUserId() {
        return internetUserId;
    }

    public void setInternetUserId(Long internetUserId) {
        this.internetUserId = internetUserId;
    }

    public Long getXhpcOperatorInternetBlacklistId() {
        return xhpcOperatorInternetBlacklistId;
    }

    public void setXhpcOperatorInternetBlacklistId(Long xhpcOperatorInternetBlacklistId) {
        this.xhpcOperatorInternetBlacklistId = xhpcOperatorInternetBlacklistId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
